<?php
namespace Location\Fixture;



class Region extends \Fixture\Service\Fixture
{

	static public function build()
	{
		parent::addStack('\\Location\\Entity\\Region', array(
				'Region.Gauteng'     => array(
						'country' => self::getReference('Country.ZA'),
						'name'    => 'Gauteng'
				),
				'Region.Natal'     => array(
						'country' => self::getReference('Country.ZA'),
						'name'    => 'Natal'
				),
				'Region.Eastern Cape'     => array(
						'country' => self::getReference('Country.ZA'),
						'name'    => 'Eastern Cape'
				),
				'Region.The South'     => array(
						'country' => self::getReference('Country.AU'),
						'name'    => 'The South'
				),
				'Region.The North'     => array(
						'country' => self::getReference('Country.AU'),
						'name'    => 'The North'
				)
		));
	}

}