<?php
namespace Location\Fixture;



class Town extends \Fixture\Service\Fixture
{

	static public function build()
	{
		parent::addStack('\\Location\\Entity\\Town', array(
				'Town.Pretoria' => array(
						'region' => self::getReference('Region.Gauteng'),
						'name'   => 'Pretoria'
				),
				'Town.Centurion' => array(
						'region' => self::getReference('Region.Gauteng'),
						'name'   => 'Centurion'
				),
				array(
						'region' => self::getReference('Region.Gauteng'),
						'name'   => 'Randburg'
				),
				array(
						'region' => self::getReference('Region.Natal'),
						'name'   => 'Durban'
				),
				array(
						'region' => self::getReference('Region.Natal'),
						'name'   => 'Port Elizabeth'
				),
				array(
						'region' => self::getReference('Region.Natal'),
						'name'   => 'Balito'
				),
				array(
						'region' => self::getReference('Region.Eastern Cape'),
						'name'   => 'Knysna'
				),
				array(
						'region' => self::getReference('Region.The South'),
						'name'   => 'Middle of Nowhere'
				),
				array(
						'region' => self::getReference('Region.The South'),
						'name'   => 'Close to Nowhere'
				),
				array(
						'region' => self::getReference('Region.The North'),
						'name'   => 'Somewhere'
				),
				array(
						'region' => self::getReference('Region.The North'),
						'name'   => 'Neverwhere'
				),
		));
	}

}